# purefa_hg – Manage hostgroups on Pure Storage FlashArrays

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create, delete or modify hostgroups on Pure Storage FlashArrays.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string / required |  | FlashArray API token for admin privileged user.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
host list |  | List of existing hosts to add to hostgroup.
hostgroup string / required |  | The name of the hostgroup.

state
string

Choices:
- absent
- present ←

Define whether the hostgroup should exist or not.

volume list |  | List of existing volumes to add to hostgroup.

## Notes

Note

- This module requires the `purestorage` Python library

- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create empty hostgroup
      purefa_hg:
        hostgroup: foo
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Add hosts and volumes to existing or new hostgroup
      purefa_hg:
        hostgroup: foo
        host:
          - host1
          - host2
        volume:
          - vol1
          - vol2
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Delete hosts and volumes from hostgroup
      purefa_hg:
        hostgroup: foo
        host:
          - host1
          - host2
        volume:
          - vol1
          - vol2
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

    # This will disconnect all hosts and volumes in the hostgroup
    - name: Delete hostgroup
      purefa_hg:
        hostgroup: foo
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

    - name: Create host group with hosts and volumes
      purefa_hg:
        hostgroup: bar
        host:
          - host1
          - host2
        volume:
          - vol1
          - vol2
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.